<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>" />
    <meta name="viewport" content="width=device-width" />
    <link rel="stylesheet" type="text/css" href="<?php echo get_stylesheet_uri(); ?>" />
    <link rel="stylesheet" type="text/css" href="<?php echo site_url(); ?>/wp-content/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="http://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css" />
    <link href="https://fonts.googleapis.com/css?family=Pacifico|Quicksand" rel="stylesheet">
    <?php wp_head(); ?>
        <script src="http://cdnjs.cloudflare.com/ajax/libs/jquery-mousewheel/3.0.6/jquery.mousewheel.min.js" type="text/javascript" charset="utf-8"></script>
        <script async src="//code.jquery.com/ui/1.12.0/jquery-ui.min.js"></script>
        <script async type="text/javascript" src="<?php echo site_url(); ?>/bookingengine.min.js" id="addon-script" data-sync="14"></script>
        <script>
            jQuery(function () {
                jQuery('i.mobile-menu').toggle(function(){
                    jQuery('.menu-main-menu-container').addClass('toggled');
                }, function (){
                    jQuery('.menu-main-menu-container').removeClass('toggled');
                });
                jQuery('.rNav a').on('click', function () {
                    var rID = jQuery(this).data('room');
                    if (!jQuery(this).hasClass('.nActive')) {
                        jQuery('.rNav a').removeClass('nActive');
                        jQuery('.rContainer').removeClass('rActive');
                        jQuery(this).addClass('nActive');
                        jQuery('#' + rID).addClass('rActive');
                        console.log(rID);
                    }
                });
                jQuery(window).bind('scroll', function () {
                    var sTop = jQuery(window).scrollTop();
                    var elementOffset = jQuery('.ferraSlider .ms-slide-bgcont img').offset().top;
                    var EOS = (sTop - (sTop / 2));
                    jQuery('.ms-slide-bgcont img').css({
                        "top": EOS
                    })

                    if (sTop >= 1) {
                        jQuery('#header').addClass('fixed');
                    } else {
                        jQuery('#header').removeClass('fixed');
                    }

                    console.log(EOS);
                });
                jQuery('form.main .switch').click(function(){
                     jQuery('form.main').hide();
                     jQuery('form.modify').show();
                });
                jQuery('form.modify .switch').click(function(){
                     jQuery('form.modify').hide();
                     jQuery('form.main').show();
                });
                jQuery('.openBooking').on('click', function () {
                    jQuery('#bookingengine, .overlay').show();
                });
                jQuery('.overlay, .close').on('click', function () {
                    jQuery('#bookingengine, .overlay').hide();
                });
                jQuery('.cta span.text1,.cta span.text2').delay(1000).addClass('jQanimate');
                jQuery('.cta,.cta a, .cta button').delay(1300).addClass('jQanimate');
            });
        </script>
</head>

<body <?php body_class(); ?>>
    <div id="wrapper" class="hfeed">
        <header id="header" role="banner" class="container-fluid">
            <div class="container">
                <section id="branding" class="col-sm-3">
                    <div id="site-title">
                        <a href="<?php echo site_url(); ?>"><img class="logo" src="<?php echo site_url(); ?>/wp-content/uploads/2016/09/ferra-logo.png"></a>
                    </div>
                </section>
                
                <nav id="menu" role="navigation" class="col-sm-9">
                    <i class="mobile-menu ion-navicon-round"></i>
                    <?php wp_nav_menu( array( 'theme_location'=> 'main-menu' ) ); ?>
                </nav>
            </div>
        </header>
        <div class="overlay"></div>
        <div id="bookingengine" class="">
            <div class="image col-sm-6"></div>
            <div class="widget col-sm-6">
                <form method="POST" id="dates" class="main">
                    <div class="title col-sm-12">FAST AND SECURE BOOKING</div>
                    <div class="check-in input col-sm-6">
                        <span class="month">SEP</span>
                        <span class="day">29</span>
                        <span class="year">2016</span>
                        <i class="ion-android-calendar"></i>
                        <input type="text" name="arrival_date" value="<?php echo date(" m/d/Y ")?> " readonly style="height: 0px; border: 0px; width: 0px; position: absolute; bottom: 0px; left: 0px;">
                    </div>
                    <div class="check-out input col-sm-6">
                        <span class="month">SEP</span>
                        <span class="day">30</span>
                        <span class="year">2016</span>
                        <i class="ion-android-calendar"></i>
                        <input type="text" name="departure_date" value="<?php echo date(" m/d/Y ", strtotime("+1 day "));?>" readonly style="height: 0px; border: 0px; width: 0px; position: absolute; bottom: 0px; left: 0px;">
                    </div>
                    <div class="promocode col-sm-12">
                        <input type="text" placeholder="Promo Code (Optional)">
                    </div>
                    <div class="booking col-sm-12">
                        <button type="submit">BOOK NOW</button>
                        <a class="modification-button switch"><i class="wp-svg-arrow-left-3 arrow-left-3"></i> MODIFY OR CANCEL BOOKING</a>
                    </div>
                    <input type="hidden" name="property_id" />
                    <input type="hidden" name="sess">
                </form>
                <form method="POST" id="modifycancel" class="modify">
                    <div class="popup modification">
                        <div class="body-content">
                            <div class="title">Modify / Cancel</div>
                            <p class="t2">Proceed to our Hassle Free and Fast Modification.</p>
                            <div class="">
                                Email Address:
                                <br>
                                <input type="text" name="email" placeholder="Enter email address">
                            </div>
                            <div class="">
                                Payment Transaction ID:
                                <br>
                                <input type="text" name="transaction" placeholder="Enter payment transaction id">
                            </div>
                            <input type="hidden" name="prev_page" value="<?=(isset($_SERVER['HTTP_REFERER'])) ? $_SERVER['HTTP_REFERER'] : (((!empty($_SERVER['HTTPS'])) && ($_SERVER['HTTPS'] != 'off')) ? " https:// ".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'] : "http:// ".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI']);?>" />
                            <input type="hidden" name="property_id" />
                            <input type="hidden" name="sess" />
                            <p>
                                <button type="submit">Next</button>
                            </p>
                            <a class="modification-button switch"><i class="wp-svg-arrow-left-3 arrow-left-3"></i> CLICK TO BOOK A ROOM</a>
                        </div>
                    </div>
                </form>
            <input type="hidden" rel="<?=date(" M d, Y ",strtotime(date("Y-m-d H:i:s ")))?>" id="datetime">
            </div>
        </div>
        <div class="bait">
            <div class="openBooking b1 col-sm-4">GET EXCLUSIVE DEALS!</div>
            <div class="openBooking b2 col-sm-4">EXPLORE BOOKINGS</div>
            <div class="openBooking b3 col-sm-4">BOOK NOW</div>
        </div>